org.springframework.data.convert

## Class ThreeTenBackPortConverters

- java.lang.Object
- - org.springframework.data.convert.ThreeTenBackPortConverters

Deprecated.
since 2.3, use JSR-310 types as replacement for ThreeTenBackport.

    @Deprecated
    public abstract class ThreeTenBackPortConverters
    extends Object

Helper class to register `Converter` implementations for the ThreeTen Backport project in case it's present on the classpath.

Since:
  1.10
Author:
  Oliver Gierke, Christoph Strobl, Jens Schauder, Mark Paluch
See Also:
  https://www.threeten.org/threetenbp

### Nested Class Summary

Nested Classes
`static class` `ThreeTenBackPortConverters.DateToInstantConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.DateToLocalDateConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.DateToLocalDateTimeConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.DateToLocalTimeConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.InstantToDateConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.JavaTimeInstantToLocalDateTimeConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.LocalDateTimeToDateConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.LocalDateTimeToJavaTimeInstantConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.LocalDateTimeToJsr310LocalDateTimeConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.LocalDateToDateConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.LocalTimeToDateConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.StringToZoneIdConverter` Deprecated.
`static class` `ThreeTenBackPortConverters.ZoneIdToStringConverter` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`ThreeTenBackPortConverters()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static Collection<Converter<?,?>>` `getConvertersToRegister()` Deprecated. Returns the converters to be registered.
`static boolean` `supports(Class<?> type)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreeTenBackPortConverters

    public ThreeTenBackPortConverters()

Deprecated.

### Method Detail

#### getConvertersToRegister

    public static Collection<Converter<?,?>> getConvertersToRegister()

Deprecated.
Returns the converters to be registered. Will only return converters in case we're running on Java 8.

Returns:

#### supports

    public static boolean supports(Class<?> type)

Deprecated.